/*
  LinEAK - Linux support for Easy Access and Internet Keyboards      
  Copyright (C) 2001,2002 Mark Smulders <Mark@PIRnet.nl>             
  http://lineak.sourceforge.net
                                                                        
  This program is free software; you can redistribute it and/or modify  
  it under the terms of the GNU General Public License as published by  
  the Free Software Foundation; either version 2, or (at your option)   
  any later version.                                                    
                                                                        
  This program is distributed in the hope that it will be useful,       
  but WITHOUT ANY WARRANTY; without even the implied warranty of        
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         
  GNU General Public License for more details.                          
                                                                        
  You should have received a copy of the GNU General Public License     
  along with this program; if not, write to the                         
  Free Software Foundation, Inc., 59 Temple Place - Suite 330,          
  Boston, MA 02111-1307, USA.                                           
*/

#ifndef _LINEAKCOMMON_H
#define _LINEAKCOMMON_H

/* the conf and def filenames */
#define CONFFILE "/.lineak/lineakd.conf" /* (relative from $HOME dir) */
#define BAKFILE  "/.lineak/.lineakd.conf.backup"
#define PIDFILE  "/.lineak/lineakd.pid"
#define DEFFILE  "lineakkb.def"

/* EAKey as member of key list */
typedef struct strEAkey {
  struct strEAkey *next;
  char *EAkeyname;
  int EAkeycode;
  KeySym EAkeysym;
  char *EAcommand;
} EAkey;

/* the EAK we will use.. */
typedef struct {
  char *EAKtype;
  char *EAKbrand;
  char *EAKmodel;
  EAkey *EAKeylist;
} EAKeyboard;


#endif
