/*
  LinEAK - Linux support for Easy Access and Internet Keyboards      
  Copyright (C) 2001,2002 Mark Smulders <Mark@PIRnet.nl>
  
  lineakconfig, GTK+ interface for configuring lineakd

  This program is free software; you can redistribute it and/or modify  
  it under the terms of the GNU General Public License as published by  
  the Free Software Foundation; either version 2, or (at your option)   
  any later version.                                                    
                                                                        
  This program is distributed in the hope that it will be useful,       
  but WITHOUT ANY WARRANTY; without even the implied warranty of        
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         
  GNU General Public License for more details.                          
                                                                        
  You should have received a copy of the GNU General Public License     
  along with this program; if not, write to the                         
  Free Software Foundation, Inc., 59 Temple Place - Suite 330,          
  Boston, MA 02111-1307, USA.                                           
*/

#ifndef HAVE_LINEAKCFG_H
#define HAVE_LINEAKCFG_H

/* private function prototypes */
GtkWidget *add_kbbrandmenu_item (GtkWidget *menu, gchar *name, gint add_callback);
GtkWidget *add_kbmodelmenu_item (GtkWidget *menu, const char *name, gint add_callback);
GtkWidget *add_specmenu_item (GtkWidget *menu, char *act, gchar *name, gint add_callback);
GtkWidget *add_list_item (GtkWidget *list, gchar *name);
gint is_special_action (gchar *command);

gchar *cfile=NULL, *usrdfile=NULL, *dfile=NULL, *backupfile=NULL;

#define NOIMAGEXPM "noimage.xpm"

/* This is a dummy pixmap we use when a pixmap can't be found. */
static char *dummy_pixmap_xpm[] = {
/* columns rows colors chars-per-pixel */
"1 1 1 1",
"  c None",
/* pixels */
" "
};

#endif