# RPM specfile for lineakconfig
# Thanks to DrDisk from #linux.de an micha from #tux

Summary:   GUI for lineakd 0.3.5
Name:      lineakconfig
Version:   0.3.2
Release:   1
License:   GPL
Packager:  Ulrich Ivens <ulrich.ivens@gmx.de>
Group:     Utilities/System          
Source0:   lineakconfig-0.3.2.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root

# please comment out the following line while compiling processor specific !
BuildArch: i386

Provides:  lineakconfig


%description
GUI to put actions on the multimedia keys
on modern keyboards.
 
Needs lineakd 0.3.5 [in a seperate RPM] & it's .conf file.
lineakconfig is not needed, but it's more comfortable than change
the lineakd - config file by an text editor :) 
RPM Package build on Mandrake Linux 8.1


%prep
%setup -q

%build

# RPM should run on all kind of i386-like  CPU, no multimedia
# enhanchments needed ;) Must be comment out for building processor specific !

ARCH='i386'
RPM_ARCH='i386'
RPM_OPT_FLAGS='-O2 -march=i386'
CFLAGS='-O2 -march=i386'
CXXFLAGS='-O2 -march=i386'
export ARCH RPM_ARCH RPM_OPT_FLAGS CFLAGS CXXFLAGS

# If you would like to compile lineakconfig processor specific, please
# uncomment the following lines. But don't forget comment out the previous 
# five flags an BuildArch: in the upper section of the specfile  !! 

# CFLAGS='%{optflags}'
# CXXFLAGS='%{optflags}'
# export CFLAGS CXXFLAGS

./configure --prefix=/usr/local
make

%install
make DESTDIR=%{buildroot}/ install

%clean

[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%doc NEWS TODO README AUTHORS INSTALL ABOUT-NLS ChangeLog COPYING 
/usr/local/bin/lineakconfig
/usr/local/share/lineakconfig/pixmaps/*







