/*
  LinEAK - Linux support for Easy Access and Internet Keyboards      
  Copyright (C) 2001,2002 Mark Smulders <Mark@PIRnet.nl>
  
  lineakconfig, GTK+ interface for configuring lineakd

  This program is free software; you can redistribute it and/or modify  
  it under the terms of the GNU General Public License as published by  
  the Free Software Foundation; either version 2, or (at your option)   
  any later version.                                                    
                                                                        
  This program is distributed in the hope that it will be useful,       
  but WITHOUT ANY WARRANTY; without even the implied warranty of        
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         
  GNU General Public License for more details.                          
                                                                        
  You should have received a copy of the GNU General Public License     
  along with this program; if not, write to the                         
  Free Software Foundation, Inc., 59 Temple Place - Suite 330,          
  Boston, MA 02111-1307, USA.                                           
*/

#include <gtk/gtk.h>

/**********************************************************************************************/

void on_kbbrandmenuitem_activate (GtkWidget *widget, gpointer data);
void on_kbmodelmenuitem_activate (GtkWidget *widget, gpointer data);
void on_specmenuitem_activate (GtkWidget *widget, gpointer data);
void on_commandradio_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_actionradio_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_commandentry_changed (GtkEditable *editable, gpointer user_data);
void on_cdromentry_changed (GtkEditable *editable, gpointer user_data);
void on_mixerentry_changed (GtkEditable *editable, gpointer user_data);
void on_keylist_unselect (GtkList *list, GtkWidget *widget, gpointer user_data);
void on_keylist_select (GtkWidget *widget, gpointer data);
void on_okbutton_clicked (GtkButton *button, gpointer user_data);
gboolean on_applybutton_clicked (GtkButton *button, gpointer user_data);
void on_cancelbutton_clicked (GtkButton *button, gpointer user_data);
void on_alert_closebutton_clicked (GtkButton *button, gpointer user_data);

void on_NCwin_close (GtkButton *button, gpointer user_data);
void on_NCsaveconfbutton_clicked (GtkButton *button, gpointer user_data);

/**********************************************************************************************/
